import request from '@/utils/request'

// 查询其他领域信用等级列表
export function listEvaluations(query) {
  return request({
    url: '/basicData/xcrCreditEvaluations/findByPage',
    method: 'get',
    params: query
  })
}

// 查询其他领域信用等级详细
export function getEvaluations(id) {
  return request({
    url: '/basicData/xcrCreditEvaluations/' + id,
    method: 'get'
  })
}

// 新增其他领域信用等级
export function addEvaluations(data) {
  return request({
    url: '/basicData/xcrCreditEvaluations',
    method: 'post',
    data: data
  })
}

// 修改其他领域信用等级
export function updateEvaluations(data) {
  return request({
    url: '/basicData/xcrCreditEvaluations',
    method: 'put',
    data: data
  })
}

// 删除其他领域信用等级
export function delEvaluations(id) {
  return request({
    url: '/basicData/xcrCreditEvaluations/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delEvaluationsBatch(ids) {
  return request.post('/basicData/xcrCreditEvaluations/delete',ids)
}
